Package com.io7m.montarre.api

# Record Class MFlatpakPermission

java.lang.Object
java.lang.Record
com.io7m.montarre.api.MFlatpakPermission

Record Components:
  `permission` - The permission string (such as "--allow=bluetooth")

All Implemented Interfaces:
  `MFlatpakMetadataElementType`

public record MFlatpakPermission(String permission) extends Record implements MFlatpakMetadataElementType
A flatpak permission.

See Also:
  - "https://flatpak-docs.readthedocs.io/en/latest/sandbox-permissions-reference.html"
  - "flatpak build-finish --help"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MFlatpakPermission(String permission)`
  A flatpak permission.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `permission()`
  Returns the value of the `permission` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MFlatpakPermission

    public MFlatpakPermission(String permission)
    A flatpak permission.
    Parameters:
      `permission` - The permission string (such as "--allow=bluetooth")
    See Also:
      - "https://flatpak-docs.readthedocs.io/en/latest/sandbox-permissions-reference.html"
      - "flatpak build-finish --help"

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### permission

    public String permission()
    Returns the value of the `permission` record component.
    Returns:
      the value of the `permission` record component